aboutsummaryrefslogtreecommitdiffstats
path: root/main/lsscsi/APKBUILD
diff options
context:
space:
mode:
authorLeonardo Arena <rnalrd@gmail.com>2010-11-05 10:35:50 +0000
committerLeonardo Arena <rnalrd@gmail.com>2010-11-05 10:35:50 +0000
commit298e60d464c2abd0c7cb396a0b9dfd2fc60e2b59 (patch)
tree465ad8a19a1fbed3d8dadf9a7ebf1379ce8bb3e0 /main/lsscsi/APKBUILD
parentac7f60c78ae46dea0c2dcdd3629b0f3ad9ead2e5 (diff)
downloadaports-298e60d464c2abd0c7cb396a0b9dfd2fc60e2b59.tar.gz
aports-298e60d464c2abd0c7cb396a0b9dfd2fc60e2b59.tar.bz2
aports-298e60d464c2abd0c7cb396a0b9dfd2fc60e2b59.tar.xz
main/lsscsi: new aport
Diffstat (limited to 'main/lsscsi/APKBUILD')
-rw-r--r--main/lsscsi/APKBUILD35
1 files changed, 35 insertions, 0 deletions
diff --git a/main/lsscsi/APKBUILD b/main/lsscsi/APKBUILD
new file mode 100644
index 0000000000..3503b83a83
--- /dev/null
+++ b/main/lsscsi/APKBUILD
@@ -0,0 +1,35 @@
+# Maintainer: Leonardo Arena <rnalrd@gmail.com>
+pkgname=lsscsi
+pkgver=0.24b1
+pkgrel=0
+pkgdesc="Lists information about SCSI devices"
+url="http://sg.danny.cz/scsi/lsscsi.html"
+license="GPL"
+depends=
+makedepends=
+install=
+subpackages="$pkgname-doc"
+source="http://sg.danny.cz/scsi/$pkgname-$pkgver.tgz"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+
+#prepare() {
+# cd "$_builddir"
+# apply patches here
+#}
+
+build() {
+ cd "$_builddir"
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install
+}
+
+md5sums="897114e504c7b606edb9dd7114b68020 lsscsi-0.24b1.tgz"